type: google.api.Service
config_version: 3
name: firestore.googleapis.com
title: Cloud Firestore API

apis:
- name: google.firestore.admin.v1.FirestoreAdmin

types:
- name: google.firestore.admin.v1.ExportDocumentsMetadata
- name: google.firestore.admin.v1.ExportDocumentsResponse
- name: google.firestore.admin.v1.FieldOperationMetadata
- name: google.firestore.admin.v1.ImportDocumentsMetadata
- name: google.firestore.admin.v1.IndexOperationMetadata
- name: google.firestore.admin.v1.LocationMetadata

documentation:
  summary: |-
    Accesses the NoSQL document database built for automatic scaling, high
    performance, and ease of application development.

backend:
  rules:
  - selector: 'google.firestore.admin.v1.FirestoreAdmin.*'
    deadline: 295.0
  - selector: 'google.longrunning.Operations.*'
    deadline: 295.0

http:
  rules:
  - selector: google.longrunning.Operations.CancelOperation
    post: '/v1/{name=projects/*/databases/*/operations/*}:cancel'
    body: '*'
  - selector: google.longrunning.Operations.DeleteOperation
    delete: '/v1/{name=projects/*/databases/*/operations/*}'
  - selector: google.longrunning.Operations.GetOperation
    get: '/v1/{name=projects/*/databases/*/operations/*}'
  - selector: google.longrunning.Operations.ListOperations
    get: '/v1/{name=projects/*/databases/*}/operations'

authentication:
  rules:
  - selector: 'google.firestore.admin.v1.FirestoreAdmin.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/datastore
  - selector: 'google.longrunning.Operations.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/datastore
